using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.LR
{
    /// <summary>
    /// 法律法规附件
    /// </summary>
    [Description("法律法规附件")]
    public class T_LR_LAW_VERSION_FILE : MesEntityBase
    {
        /// <summary>
        /// 版本ID
        /// </summary>
        [Description("版本ID")]
        [DataFieldForeignKey("Nav_Version","Nav_Files")]
        public Guid VERSION_ID { get; set; }
        /// 版本
        /// </summary>
        [Description("版本")]
        public T_LR_LAW_VERSION Nav_Version { get; set; }
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        /// 文件
        /// </summary>
        [Description("文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }

    }
}
